commit 8961ee5c3bd47d436f07fd9a748cadaef12146e9
Author: freddy77 <freddy77>
Date:   Wed Oct 15 14:53:00 2008 +0000

    error message more verbose

diff --git a/ChangeLog b/ChangeLog
index 437ee92..dd7787d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Oct 15 16:51:05 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/utf8_2.c: error message more verbose
+
 Mon Oct 06 15:43:03 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/.cvsignore src/odbc/unittests/Makefile.am:
 	* src/tds/iconv.c src/odbc/unittests/utf8_2.c(added):
@@ -685,4 +688,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2617 2008/10/06 13:45:15 freddy77 Exp $
+$Id: ChangeLog,v 1.2618 2008/10/15 14:53:00 freddy77 Exp $
diff --git a/src/odbc/unittests/utf8_2.c b/src/odbc/unittests/utf8_2.c
index e2c3290..756445f 100755
--- a/src/odbc/unittests/utf8_2.c
+++ b/src/odbc/unittests/utf8_2.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test conversion of Hebrew characters (which have shift sequences) */
-static char software_version[] = "$Id: utf8_2.c,v 1.1 2008/10/06 13:45:15 freddy77 Exp $";
+static char software_version[] = "$Id: utf8_2.c,v 1.2 2008/10/15 14:53:00 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -97,7 +97,7 @@ main(int argc, char *argv[])
 	for (n = 0, p = strings; p[n]; ++n) {
 		CHK(SQLFetch, (Statement));
 		if (n_len != strlen(p[n]) || strcmp(p[n], out) != 0) {
-			fprintf(stderr, "Wrong row %s\n", out);
+			fprintf(stderr, "Wrong row %d %s\n", n, out);
 			Disconnect();
 			return 1;
 		}

